Create Collection (Idempotent)
curl --request PUT \
--url https://staging.crossmint.com/api/v1/ip/collections/{collectionId} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <x-api-key>' \
--data '
{
"metadata": {
"name": "My Collection",
"symbol": "MYCOL",
"description": "My Collection Description",
"image": "https://example.com/image.png"
},
"chain": "story-testnet",
"reuploadLinkedFiles": true,
"supplyLimit": 100
}
'import requests
url = "https://staging.crossmint.com/api/v1/ip/collections/{collectionId}"
payload = {
"metadata": {
"name": "My Collection",
"symbol": "MYCOL",
"description": "My Collection Description",
"image": "https://example.com/image.png"
},
"chain": "story-testnet",
"reuploadLinkedFiles": True,
"supplyLimit": 100
}
headers = {
"X-API-KEY": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-KEY': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
metadata: {
name: 'My Collection',
symbol: 'MYCOL',
description: 'My Collection Description',
image: 'https://example.com/image.png'
},
chain: 'story-testnet',
reuploadLinkedFiles: true,
supplyLimit: 100
})
};
fetch('https://staging.crossmint.com/api/v1/ip/collections/{collectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"actionId": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"metadata": {
"name": "My Collection",
"symbol": "MYCOL",
"description": "My Collection Description",
"image": "https://example.com/image.png"
},
"onChain": {
"chain": "story-testnet",
"contractAddress": "0x123",
"explorerLink": "https://portal.story.foundation/collections/0xAC6062FF53fa41e61Fe01B89B83d9dB96b5F9280"
}
}IP Collections
Create IP Collection (Idempotent)
Create a new collection with a pre-computed id, or get an existing one if the id already exists
API scope required: collections.create
PUT
/
v1
/
ip
/
collections
/
{collectionId}
Create Collection (Idempotent)
This API is still under development. Contact support for early access.
Headers
API key required for authentication
Path Parameters
Body
application/json
Story Protocol collection metadata
Show child attributes
Show child attributes
Example:
{
"name": "My Collection",
"symbol": "MYCOL",
"description": "My Collection Description",
"image": "https://example.com/image.png"
}The chain of the collection
Example:
"story-testnet"
Controls whether external files (like images) in the metadata should be reuploaded to decentralized storage (IPFS) (true) or referenced with their original URLs (false). Default is True.
Example:
true
The supply limit of the collection
Example:
100
Response
200 - application/json
Collection created
The id of the collection
Example:
"d290f1ee-6c54-4b01-90e6-d701748f0851"
The action id of the collection
Example:
"d290f1ee-6c54-4b01-90e6-d701748f0851"
Story Protocol collection metadata response
Show child attributes
Show child attributes
Example:
{
"name": "My Collection",
"symbol": "MYCOL",
"description": "My Collection Description",
"image": "https://example.com/image.png"
}Show child attributes
Show child attributes
Was this page helpful?
⌘I

